--20011611.240 (SMG100) Receive items on stock: redesign of receiving items from SDO (push orders)

ALTER TABLE REASONCODE
	ADD (DEFAULTRECEIVESDOPUSH VARCHAR2(1)  DEFAULT 'N' NOT NULL CONSTRAINT DEFRECEIVESDOPUSH_valid CHECK (DEFAULTRECEIVESDOPUSH IN ('Y','N')));

INSERT INTO REASONCODEDIALOGS
  (REASONCODE_ID, DIALOG_ID, SELECTABLE, SYSTEMUSER_ID, TIMESTAMP)
  SELECT R.REASONCODE_ID,
         D.DIALOG_ID,
         'Y',
         GETMINSYSTEMUSER(),
         GETCURRENTDATETIME()
    FROM REASONCODE R,
         DIALOGS    D WHERE D.CODE IN('ReceiveItemsFromSDOPush');


